Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.lcm
Interface LCMFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  LCMFactoryImpl

    public interface LCMFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `LCMPackage`

Field Summary
`static LCMFactory` | `eINSTANCE` The singleton instance of the factory.

Method Summary
`AcceptObjectsRequestType` | `createAcceptObjectsRequestType()` Returns a new object of class 'Accept Objects Request Type'.
`ApproveObjectsRequestType` | `createApproveObjectsRequestType()` Returns a new object of class 'Approve Objects Request Type'.
`DeprecateObjectsRequestType` | `createDeprecateObjectsRequestType()` Returns a new object of class 'Deprecate Objects Request Type'.
`DocumentRoot` | `createDocumentRoot()` Returns a new object of class 'Document Root'.
`RelocateObjectsRequestType` | `createRelocateObjectsRequestType()` Returns a new object of class 'Relocate Objects Request Type'.
`RemoveObjectsRequestType` | `createRemoveObjectsRequestType()` Returns a new object of class 'Remove Objects Request Type'.
`SubmitObjectsRequestType` | `createSubmitObjectsRequestType()` Returns a new object of class 'Submit Objects Request Type'.
`UndeprecateObjectsRequestType` | `createUndeprecateObjectsRequestType()` Returns a new object of class 'Undeprecate Objects Request Type'.
`UpdateObjectsRequestType` | `createUpdateObjectsRequestType()` Returns a new object of class 'Update Objects Request Type'.
`LCMPackage` | `getLCMPackage()` Returns the package supported by this factory.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final LCMFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createAcceptObjectsRequestType

    AcceptObjectsRequestType createAcceptObjectsRequestType()

  Returns a new object of class 'Accept Objects Request Type'.

  Returns:
    a new object of class 'Accept Objects Request Type'.

### createApproveObjectsRequestType

    ApproveObjectsRequestType createApproveObjectsRequestType()

  Returns a new object of class 'Approve Objects Request Type'.

  Returns:
    a new object of class 'Approve Objects Request Type'.

### createDeprecateObjectsRequestType

    DeprecateObjectsRequestType createDeprecateObjectsRequestType()

  Returns a new object of class 'Deprecate Objects Request Type'.

  Returns:
    a new object of class 'Deprecate Objects Request Type'.

### createDocumentRoot

    DocumentRoot createDocumentRoot()

  Returns a new object of class 'Document Root'.

  Returns:
    a new object of class 'Document Root'.

### createRelocateObjectsRequestType

    RelocateObjectsRequestType createRelocateObjectsRequestType()

  Returns a new object of class 'Relocate Objects Request Type'.

  Returns:
    a new object of class 'Relocate Objects Request Type'.

### createRemoveObjectsRequestType

    RemoveObjectsRequestType createRemoveObjectsRequestType()

  Returns a new object of class 'Remove Objects Request Type'.

  Returns:
    a new object of class 'Remove Objects Request Type'.

### createSubmitObjectsRequestType

    SubmitObjectsRequestType createSubmitObjectsRequestType()

  Returns a new object of class 'Submit Objects Request Type'.

  Returns:
    a new object of class 'Submit Objects Request Type'.

### createUndeprecateObjectsRequestType

    UndeprecateObjectsRequestType createUndeprecateObjectsRequestType()

  Returns a new object of class 'Undeprecate Objects Request Type'.

  Returns:
    a new object of class 'Undeprecate Objects Request Type'.

### createUpdateObjectsRequestType

    UpdateObjectsRequestType createUpdateObjectsRequestType()

  Returns a new object of class 'Update Objects Request Type'.

  Returns:
    a new object of class 'Update Objects Request Type'.

### getLCMPackage

    LCMPackage getLCMPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD